Skip to main content
POST
/
v1
/
publishing
/
accounts
/
slots
Purchase account slots
curl --request POST \
  --url https://reelmirror.com/api/v1/publishing/accounts/slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slots": 1,
  "returnUrl": "<string>"
}
'
{
  "data": {
    "purchased": 123,
    "subscriptionId": "<string>",
    "checkoutUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Body

application/json
slots
integer
required

Total number of paid slots to set

Required range: x >= 0
returnUrl
string

Path to redirect to after Stripe Checkout (used when no card is on file)

Response

Updated slot allocation, or a Stripe Checkout URL when no payment method is on file

data
object